Author Topic: This is too wierd!!  (Read 11517 times)

0 Members and 1 Guest are viewing this topic.

PDJ

  • Guest
This is too wierd!!
« on: September 21, 2005, 03:51:16 PM »
So I'm working in AutoCad 2005Map, I've just cut and pasted a drawing from Visio 2003 onto a blank drawing.  I use my rectangle command that I've had like 10 years now, I pick the top left corner, the top right corner, then the bottom right corner.. Next thing I know, the image has disappeared, the rectangle is there, and down on my command line, there's a message.. You're not going to believe what it said.

So long, and thanks for all the fish...

Is Doug Adams a programmer at AutoDesk now?? Or is this something Dommy2Hotty slipped into that program I got from him yesterday?

I repeated the task after erasing everything and it did it again..

Is the world coming to an end?? Is that bulldozer heading towards my house?? Should I find a towel??

Don't laugh, the message actually appeared right there on my command line..

STOP IT, IT'S NOT FUNNY!!!


One more snicker.. ONE MORE SNICKER!!!




Bob Wahr

  • Guest
Re: This is too wierd!!
« Reply #1 on: September 21, 2005, 03:56:29 PM »
You have GOT to submit that one to Autodesk.

M-dub

  • Guest
Re: This is too wierd!!
« Reply #2 on: September 21, 2005, 03:59:24 PM »
That IS freakin' weird!!!

Sounds like someone had some fun...
Easter egg?

MP

  • Seagull
  • Posts: 17750
  • Have thousands of dwgs to process? Contact me.
Re: This is too wierd!!
« Reply #3 on: September 21, 2005, 04:06:30 PM »
My hovercraft is full of eels!

Oops sorry, wrong channel.
Engineering Technologist • CAD Automation Practitioner
Automation ▸ Design ▸ Drafting ▸ Document Control ▸ Client
cadanalyst@gmail.comhttp://cadanalyst.slack.comhttp://linkedin.com/in/cadanalyst

Bob Wahr

  • Guest
Re: This is too wierd!!
« Reply #4 on: September 21, 2005, 04:06:54 PM »
That's what I was thinking though it's more like a jelly bean.  Got me to google for a 2006 easter egg but couldn't find one.

Draftek

  • Guest
Re: This is too wierd!!
« Reply #5 on: September 21, 2005, 05:10:48 PM »
eh, you might check and see if Dommy2Hotty is snickering. I know, I've received immense pleasure from undefining and redefining AutoCAD commands.

Dommy2Hotty

  • Swamp Rat
  • Posts: 1127
Re: This is too wierd!!
« Reply #6 on: September 21, 2005, 05:24:17 PM »

PDJ

  • Guest
Re: This is too wierd!!
« Reply #7 on: September 21, 2005, 05:33:53 PM »
Aight Dommy, fess up, was this your doin??  The program seems to be working fine now but, the message still appears after it executes.  It doesn't bother me because I'm a HitchHiker fan, just curious as to how it came about and what other surprises I may be in store for.

Dommy2Hotty

  • Swamp Rat
  • Posts: 1127
Re: This is too wierd!!
« Reply #8 on: September 21, 2005, 05:41:28 PM »
Aight Dommy, fess up, was this your doin??
Nope...what did you get from me yesterday?

Bob Wahr

  • Guest
Re: This is too wierd!!
« Reply #9 on: September 21, 2005, 06:15:11 PM »
curious, How many picks do you make in this rectangle?  Sounds like three.  Why not go with the RECTANG command for a two picker?

PDJ

  • Guest
Re: This is too wierd!!
« Reply #10 on: September 21, 2005, 06:35:40 PM »
I got that XCR.VLX command for making those jumps yesterday Dommy.  That's the only AutoCad routine I've downloaded in months.

As for the 2 picker, mine allows me to draw my line at whatever angle, then goes 90 degrees off that line for my 3rd pick, then makes it a rectangle on whatever angle I started with, and makes it a closed polyline to boot.. I believe with the rectang command you can only make ortho type rectangles.. Besides, this is a very old routine that I wrote like 10-12 years ago.. Been in my acad.lsp file ever sense..  Never had the "So long, and thanks for all the fish." message in it though.. Hmmm...  Funny it would come out like a week after that movie was released on DVD.. :kewl:

Bob Wahr

  • Guest
Re: This is too wierd!!
« Reply #11 on: September 21, 2005, 06:46:45 PM »
true on the ortho rectaganles.  They are closed polylines though.  That's a DVD that I really doubt that I ever own.  I was pretty badly disappointed in the movie.

PDJ

  • Guest
Re: This is too wierd!!
« Reply #12 on: September 21, 2005, 07:37:11 PM »
I watched the movie and remembered most of it from playing the game many years ago on my Commodore 64 I think.  Now I'm getting reminded of it each time I execute my RT command.. And whether it deletes the image I'm tracing is completely on a random basis now.  Still looking for answers.  I posted over on the AUGI website but no answers yet.. They're not as fast as the swampers..

Dang thing even deletes the image when I do a rectangle away from the image itself.. Very confusing.. I'm beginning to hate that movie now..

MikePerry

  • Guest
Re: This is too wierd!!
« Reply #13 on: September 21, 2005, 08:22:47 PM »
true on the ortho rectaganles.
Hi

If using AutoCAD 2006 take a look here...

AutoCAD 2006's New Rectangle Command Options

Have a good one, Mike

PDJ

  • Guest
Re: This is too wierd!!
« Reply #14 on: September 21, 2005, 08:39:25 PM »
That still doesn't look as simple as the one I'm using.  The nice thing about mine is that I pick one point, then pick my second point anywhere and that establishes the base line.  Turns your crosshairs and everything so your next line is 90 degrees off it one way or the other.. Here it is if anyone wants a gander at it:

Code: [Select]
(defun c:rt ()
 (setq a (getvar "SNAPANG"))
 (setq b (getvar "ORTHOMODE"))
 (setq c (getvar "GRIDMODE"))
 (setq p1 (getpoint "\nFrom point: "))
 (setq p2 (getpoint p1 "\nTo point: "))
 (command "LINE" p1 p2 "")
 (setvar "SNAPANG" (angle p1 p2))
 (setvar "ORTHOMODE" 1)
 (setq p3(getpoint p2 "To point: "))
 (setq p4(polar p3 (angle p2 p1)
 (distance p2 p1)))
 (command "ERASE" "L" "")
 (command "PLINE" p1 p2 p3 p4 "CLOSE")
 (setvar "SNAPANG" a)
 (setvar "ORTHOMODE" b)
 (setvar "GRIDMODE" c)
(print)
(print)
(
   '((f x)(princ (vl-list->string (f x)))(princ))
   '((x)(mapcar '(lambda(x) (boole 6 42 x)) x))
   '(121 69 10 70 69 68 77 6 10 75 68 78 10 94
     66 75 68 65 89 10 76 69 88 10 75 70 70 10
     94 66 79 10 76 67 89 66 4 32
    )   
)
;(print "Hey, isn't that a polyrectangle??")
(princ)
)

That is exactly how my rt.lsp is in my acad.lsp file.  See the part where it says (print "Hey.. blah, blah... Well, it's still there but, when this command completes, that is when it says "So long, and thanks for all the fish"..

Can someone run this routine and tell me what happens??  Turn your ortho off and you'll see what I mean about the crosshairs changing (Snapang I think it was)..  Make one point, then another one on a different plane, that'll be your base line..

None of this is making the fish go away..  AUGI is quiet on the issue..